/**
 */
package de.hftstuttgart.buildingphysics;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsFactory
 * @model kind="package"
 * @generated
 */
public interface BuildingPhysicsPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "buildingphysics";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.hftstuttgart.de/buildingphysics";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "buildphys";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	BuildingPhysicsPackage eINSTANCE = de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl.init();

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.BuildingPhysicsCatalogImpl <em>Catalog</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsCatalogImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getBuildingPhysicsCatalog()
	 * @generated
	 */
	int BUILDING_PHYSICS_CATALOG = 0;

	/**
	 * The feature id for the '<em><b>Windows</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG__WINDOWS = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG__NAME = 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG__DESCRIPTION = 2;

	/**
	 * The feature id for the '<em><b>Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG__SOURCE = 3;

	/**
	 * The feature id for the '<em><b>Material Categories</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG__MATERIAL_CATEGORIES = 4;

	/**
	 * The feature id for the '<em><b>Construction Categories</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG__CONSTRUCTION_CATEGORIES = 5;

	/**
	 * The number of structural features of the '<em>Catalog</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>Catalog</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUILDING_PHYSICS_CATALOG_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.WindowTypeImpl <em>Window Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.WindowTypeImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getWindowType()
	 * @generated
	 */
	int WINDOW_TYPE = 1;

	/**
	 * The feature id for the '<em><b>Window Type Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__WINDOW_TYPE_ID = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__NAME = 1;

	/**
	 * The feature id for the '<em><b>UValue</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__UVALUE = 2;

	/**
	 * The feature id for the '<em><b>GValue</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__GVALUE = 3;

	/**
	 * The feature id for the '<em><b>Glazing Number</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__GLAZING_NUMBER = 4;

	/**
	 * The feature id for the '<em><b>Frame Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__FRAME_RATIO = 5;

	/**
	 * The feature id for the '<em><b>Embodied Energy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__EMBODIED_ENERGY = 6;

	/**
	 * The feature id for the '<em><b>Embodied Carbon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__EMBODIED_CARBON = 7;

	/**
	 * The feature id for the '<em><b>Construction Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__CONSTRUCTION_DESCRIPTION = 8;

	/**
	 * The feature id for the '<em><b>Disposal Energy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__DISPOSAL_ENERGY = 9;

	/**
	 * The feature id for the '<em><b>Disposal Carbon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__DISPOSAL_CARBON = 10;

	/**
	 * The feature id for the '<em><b>Disposal Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE__DISPOSAL_DESCRIPTION = 11;

	/**
	 * The number of structural features of the '<em>Window Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE_FEATURE_COUNT = 12;

	/**
	 * The number of operations of the '<em>Window Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.WindowCategoryImpl <em>Window Category</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.WindowCategoryImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getWindowCategory()
	 * @generated
	 */
	int WINDOW_CATEGORY = 2;

	/**
	 * The feature id for the '<em><b>Window Types</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_CATEGORY__WINDOW_TYPES = 0;

	/**
	 * The number of structural features of the '<em>Window Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_CATEGORY_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Window Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WINDOW_CATEGORY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.MaterialCategoryImpl <em>Material Category</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.MaterialCategoryImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getMaterialCategory()
	 * @generated
	 */
	int MATERIAL_CATEGORY = 3;

	/**
	 * The feature id for the '<em><b>Materials</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL_CATEGORY__MATERIALS = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL_CATEGORY__NAME = 1;

	/**
	 * The number of structural features of the '<em>Material Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL_CATEGORY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Material Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL_CATEGORY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.MaterialImpl <em>Material</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.MaterialImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getMaterial()
	 * @generated
	 */
	int MATERIAL = 4;

	/**
	 * The feature id for the '<em><b>Material Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__MATERIAL_ID = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__NAME = 1;

	/**
	 * The feature id for the '<em><b>Density</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__DENSITY = 2;

	/**
	 * The feature id for the '<em><b>Heat Capacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__HEAT_CAPACITY = 3;

	/**
	 * The feature id for the '<em><b>Conductivity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__CONDUCTIVITY = 4;

	/**
	 * The feature id for the '<em><b>Embodied Energy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__EMBODIED_ENERGY = 5;

	/**
	 * The feature id for the '<em><b>Embodied Carbon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__EMBODIED_CARBON = 6;

	/**
	 * The feature id for the '<em><b>Construction Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__CONSTRUCTION_DESCRIPTION = 7;

	/**
	 * The feature id for the '<em><b>Disposal Energy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__DISPOSAL_ENERGY = 8;

	/**
	 * The feature id for the '<em><b>Disposal Carbon</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__DISPOSAL_CARBON = 9;

	/**
	 * The feature id for the '<em><b>Disposal Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__DISPOSAL_DESCRIPTION = 10;

	/**
	 * The feature id for the '<em><b>Category</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL__CATEGORY = 11;

	/**
	 * The number of structural features of the '<em>Material</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL_FEATURE_COUNT = 12;

	/**
	 * The number of operations of the '<em>Material</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MATERIAL_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.ConstructionCategoryImpl <em>Construction Category</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.ConstructionCategoryImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getConstructionCategory()
	 * @generated
	 */
	int CONSTRUCTION_CATEGORY = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION_CATEGORY__NAME = 0;

	/**
	 * The feature id for the '<em><b>Constructions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION_CATEGORY__CONSTRUCTIONS = 1;

	/**
	 * The number of structural features of the '<em>Construction Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION_CATEGORY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Construction Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION_CATEGORY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.ConstructionImpl <em>Construction</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.ConstructionImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getConstruction()
	 * @generated
	 */
	int CONSTRUCTION = 6;

	/**
	 * The feature id for the '<em><b>Construction Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION__CONSTRUCTION_ID = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION__NAME = 1;

	/**
	 * The feature id for the '<em><b>Layers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION__LAYERS = 2;

	/**
	 * The number of structural features of the '<em>Construction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Construction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTION_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link de.hftstuttgart.buildingphysics.impl.LayerImpl <em>Layer</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see de.hftstuttgart.buildingphysics.impl.LayerImpl
	 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getLayer()
	 * @generated
	 */
	int LAYER = 7;

	/**
	 * The feature id for the '<em><b>Material</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYER__MATERIAL = 0;

	/**
	 * The feature id for the '<em><b>Thickness</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYER__THICKNESS = 1;

	/**
	 * The number of structural features of the '<em>Layer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYER_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Layer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYER_OPERATION_COUNT = 0;

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog <em>Catalog</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Catalog</em>'.
	 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog
	 * @generated
	 */
	EClass getBuildingPhysicsCatalog();

	/**
	 * Returns the meta object for the containment reference '{@link de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getWindows <em>Windows</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Windows</em>'.
	 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getWindows()
	 * @see #getBuildingPhysicsCatalog()
	 * @generated
	 */
	EReference getBuildingPhysicsCatalog_Windows();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getName()
	 * @see #getBuildingPhysicsCatalog()
	 * @generated
	 */
	EAttribute getBuildingPhysicsCatalog_Name();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getDescription()
	 * @see #getBuildingPhysicsCatalog()
	 * @generated
	 */
	EAttribute getBuildingPhysicsCatalog_Description();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Source</em>'.
	 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getSource()
	 * @see #getBuildingPhysicsCatalog()
	 * @generated
	 */
	EAttribute getBuildingPhysicsCatalog_Source();

	/**
	 * Returns the meta object for the containment reference list '{@link de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getConstructionCategories <em>Construction Categories</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Construction Categories</em>'.
	 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getConstructionCategories()
	 * @see #getBuildingPhysicsCatalog()
	 * @generated
	 */
	EReference getBuildingPhysicsCatalog_ConstructionCategories();

	/**
	 * Returns the meta object for the containment reference list '{@link de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getMaterialCategories <em>Material Categories</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Material Categories</em>'.
	 * @see de.hftstuttgart.buildingphysics.BuildingPhysicsCatalog#getMaterialCategories()
	 * @see #getBuildingPhysicsCatalog()
	 * @generated
	 */
	EReference getBuildingPhysicsCatalog_MaterialCategories();

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.WindowType <em>Window Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Window Type</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType
	 * @generated
	 */
	EClass getWindowType();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getWindowTypeId <em>Window Type Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Window Type Id</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getWindowTypeId()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_WindowTypeId();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getName()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_Name();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getUValue <em>UValue</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>UValue</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getUValue()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_UValue();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getGValue <em>GValue</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>GValue</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getGValue()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_GValue();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getGlazingNumber <em>Glazing Number</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Glazing Number</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getGlazingNumber()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_GlazingNumber();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getFrameRatio <em>Frame Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Frame Ratio</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getFrameRatio()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_FrameRatio();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getEmbodiedEnergy <em>Embodied Energy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Embodied Energy</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getEmbodiedEnergy()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_EmbodiedEnergy();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getEmbodiedCarbon <em>Embodied Carbon</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Embodied Carbon</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getEmbodiedCarbon()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_EmbodiedCarbon();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getConstructionDescription <em>Construction Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Construction Description</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getConstructionDescription()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_ConstructionDescription();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getDisposalEnergy <em>Disposal Energy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Disposal Energy</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getDisposalEnergy()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_DisposalEnergy();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getDisposalCarbon <em>Disposal Carbon</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Disposal Carbon</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getDisposalCarbon()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_DisposalCarbon();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.WindowType#getDisposalDescription <em>Disposal Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Disposal Description</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowType#getDisposalDescription()
	 * @see #getWindowType()
	 * @generated
	 */
	EAttribute getWindowType_DisposalDescription();

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.WindowCategory <em>Window Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Window Category</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowCategory
	 * @generated
	 */
	EClass getWindowCategory();

	/**
	 * Returns the meta object for the containment reference list '{@link de.hftstuttgart.buildingphysics.WindowCategory#getWindowTypes <em>Window Types</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Window Types</em>'.
	 * @see de.hftstuttgart.buildingphysics.WindowCategory#getWindowTypes()
	 * @see #getWindowCategory()
	 * @generated
	 */
	EReference getWindowCategory_WindowTypes();

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.MaterialCategory <em>Material Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Material Category</em>'.
	 * @see de.hftstuttgart.buildingphysics.MaterialCategory
	 * @generated
	 */
	EClass getMaterialCategory();

	/**
	 * Returns the meta object for the containment reference list '{@link de.hftstuttgart.buildingphysics.MaterialCategory#getMaterials <em>Materials</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Materials</em>'.
	 * @see de.hftstuttgart.buildingphysics.MaterialCategory#getMaterials()
	 * @see #getMaterialCategory()
	 * @generated
	 */
	EReference getMaterialCategory_Materials();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.MaterialCategory#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.hftstuttgart.buildingphysics.MaterialCategory#getName()
	 * @see #getMaterialCategory()
	 * @generated
	 */
	EAttribute getMaterialCategory_Name();

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.Material <em>Material</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Material</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material
	 * @generated
	 */
	EClass getMaterial();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getMaterialId <em>Material Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Material Id</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getMaterialId()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_MaterialId();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getName()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_Name();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getDensity <em>Density</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Density</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getDensity()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_Density();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getHeatCapacity <em>Heat Capacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Heat Capacity</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getHeatCapacity()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_HeatCapacity();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getConductivity <em>Conductivity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Conductivity</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getConductivity()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_Conductivity();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getEmbodiedEnergy <em>Embodied Energy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Embodied Energy</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getEmbodiedEnergy()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_EmbodiedEnergy();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getEmbodiedCarbon <em>Embodied Carbon</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Embodied Carbon</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getEmbodiedCarbon()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_EmbodiedCarbon();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getConstructionDescription <em>Construction Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Construction Description</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getConstructionDescription()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_ConstructionDescription();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getDisposalEnergy <em>Disposal Energy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Disposal Energy</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getDisposalEnergy()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_DisposalEnergy();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getDisposalCarbon <em>Disposal Carbon</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Disposal Carbon</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getDisposalCarbon()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_DisposalCarbon();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Material#getDisposalDescription <em>Disposal Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Disposal Description</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getDisposalDescription()
	 * @see #getMaterial()
	 * @generated
	 */
	EAttribute getMaterial_DisposalDescription();

	/**
	 * Returns the meta object for the container reference '{@link de.hftstuttgart.buildingphysics.Material#getCategory <em>Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Category</em>'.
	 * @see de.hftstuttgart.buildingphysics.Material#getCategory()
	 * @see #getMaterial()
	 * @generated
	 */
	EReference getMaterial_Category();

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.ConstructionCategory <em>Construction Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Construction Category</em>'.
	 * @see de.hftstuttgart.buildingphysics.ConstructionCategory
	 * @generated
	 */
	EClass getConstructionCategory();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.ConstructionCategory#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.hftstuttgart.buildingphysics.ConstructionCategory#getName()
	 * @see #getConstructionCategory()
	 * @generated
	 */
	EAttribute getConstructionCategory_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link de.hftstuttgart.buildingphysics.ConstructionCategory#getConstructions <em>Constructions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constructions</em>'.
	 * @see de.hftstuttgart.buildingphysics.ConstructionCategory#getConstructions()
	 * @see #getConstructionCategory()
	 * @generated
	 */
	EReference getConstructionCategory_Constructions();

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.Construction <em>Construction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Construction</em>'.
	 * @see de.hftstuttgart.buildingphysics.Construction
	 * @generated
	 */
	EClass getConstruction();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Construction#getConstructionId <em>Construction Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Construction Id</em>'.
	 * @see de.hftstuttgart.buildingphysics.Construction#getConstructionId()
	 * @see #getConstruction()
	 * @generated
	 */
	EAttribute getConstruction_ConstructionId();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Construction#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see de.hftstuttgart.buildingphysics.Construction#getName()
	 * @see #getConstruction()
	 * @generated
	 */
	EAttribute getConstruction_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link de.hftstuttgart.buildingphysics.Construction#getLayers <em>Layers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Layers</em>'.
	 * @see de.hftstuttgart.buildingphysics.Construction#getLayers()
	 * @see #getConstruction()
	 * @generated
	 */
	EReference getConstruction_Layers();

	/**
	 * Returns the meta object for class '{@link de.hftstuttgart.buildingphysics.Layer <em>Layer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Layer</em>'.
	 * @see de.hftstuttgart.buildingphysics.Layer
	 * @generated
	 */
	EClass getLayer();

	/**
	 * Returns the meta object for the reference '{@link de.hftstuttgart.buildingphysics.Layer#getMaterial <em>Material</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Material</em>'.
	 * @see de.hftstuttgart.buildingphysics.Layer#getMaterial()
	 * @see #getLayer()
	 * @generated
	 */
	EReference getLayer_Material();

	/**
	 * Returns the meta object for the attribute '{@link de.hftstuttgart.buildingphysics.Layer#getThickness <em>Thickness</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Thickness</em>'.
	 * @see de.hftstuttgart.buildingphysics.Layer#getThickness()
	 * @see #getLayer()
	 * @generated
	 */
	EAttribute getLayer_Thickness();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	BuildingPhysicsFactory getBuildingPhysicsFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.BuildingPhysicsCatalogImpl <em>Catalog</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsCatalogImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getBuildingPhysicsCatalog()
		 * @generated
		 */
		EClass BUILDING_PHYSICS_CATALOG = eINSTANCE.getBuildingPhysicsCatalog();

		/**
		 * The meta object literal for the '<em><b>Windows</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUILDING_PHYSICS_CATALOG__WINDOWS = eINSTANCE.getBuildingPhysicsCatalog_Windows();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUILDING_PHYSICS_CATALOG__NAME = eINSTANCE.getBuildingPhysicsCatalog_Name();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUILDING_PHYSICS_CATALOG__DESCRIPTION = eINSTANCE.getBuildingPhysicsCatalog_Description();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUILDING_PHYSICS_CATALOG__SOURCE = eINSTANCE.getBuildingPhysicsCatalog_Source();

		/**
		 * The meta object literal for the '<em><b>Construction Categories</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUILDING_PHYSICS_CATALOG__CONSTRUCTION_CATEGORIES = eINSTANCE
				.getBuildingPhysicsCatalog_ConstructionCategories();

		/**
		 * The meta object literal for the '<em><b>Material Categories</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUILDING_PHYSICS_CATALOG__MATERIAL_CATEGORIES = eINSTANCE
				.getBuildingPhysicsCatalog_MaterialCategories();

		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.WindowTypeImpl <em>Window Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.WindowTypeImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getWindowType()
		 * @generated
		 */
		EClass WINDOW_TYPE = eINSTANCE.getWindowType();

		/**
		 * The meta object literal for the '<em><b>Window Type Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__WINDOW_TYPE_ID = eINSTANCE.getWindowType_WindowTypeId();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__NAME = eINSTANCE.getWindowType_Name();

		/**
		 * The meta object literal for the '<em><b>UValue</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__UVALUE = eINSTANCE.getWindowType_UValue();

		/**
		 * The meta object literal for the '<em><b>GValue</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__GVALUE = eINSTANCE.getWindowType_GValue();

		/**
		 * The meta object literal for the '<em><b>Glazing Number</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__GLAZING_NUMBER = eINSTANCE.getWindowType_GlazingNumber();

		/**
		 * The meta object literal for the '<em><b>Frame Ratio</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__FRAME_RATIO = eINSTANCE.getWindowType_FrameRatio();

		/**
		 * The meta object literal for the '<em><b>Embodied Energy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__EMBODIED_ENERGY = eINSTANCE.getWindowType_EmbodiedEnergy();

		/**
		 * The meta object literal for the '<em><b>Embodied Carbon</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__EMBODIED_CARBON = eINSTANCE.getWindowType_EmbodiedCarbon();

		/**
		 * The meta object literal for the '<em><b>Construction Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__CONSTRUCTION_DESCRIPTION = eINSTANCE.getWindowType_ConstructionDescription();

		/**
		 * The meta object literal for the '<em><b>Disposal Energy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__DISPOSAL_ENERGY = eINSTANCE.getWindowType_DisposalEnergy();

		/**
		 * The meta object literal for the '<em><b>Disposal Carbon</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__DISPOSAL_CARBON = eINSTANCE.getWindowType_DisposalCarbon();

		/**
		 * The meta object literal for the '<em><b>Disposal Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WINDOW_TYPE__DISPOSAL_DESCRIPTION = eINSTANCE.getWindowType_DisposalDescription();

		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.WindowCategoryImpl <em>Window Category</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.WindowCategoryImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getWindowCategory()
		 * @generated
		 */
		EClass WINDOW_CATEGORY = eINSTANCE.getWindowCategory();

		/**
		 * The meta object literal for the '<em><b>Window Types</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference WINDOW_CATEGORY__WINDOW_TYPES = eINSTANCE.getWindowCategory_WindowTypes();

		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.MaterialCategoryImpl <em>Material Category</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.MaterialCategoryImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getMaterialCategory()
		 * @generated
		 */
		EClass MATERIAL_CATEGORY = eINSTANCE.getMaterialCategory();

		/**
		 * The meta object literal for the '<em><b>Materials</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MATERIAL_CATEGORY__MATERIALS = eINSTANCE.getMaterialCategory_Materials();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL_CATEGORY__NAME = eINSTANCE.getMaterialCategory_Name();

		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.MaterialImpl <em>Material</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.MaterialImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getMaterial()
		 * @generated
		 */
		EClass MATERIAL = eINSTANCE.getMaterial();

		/**
		 * The meta object literal for the '<em><b>Material Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__MATERIAL_ID = eINSTANCE.getMaterial_MaterialId();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__NAME = eINSTANCE.getMaterial_Name();

		/**
		 * The meta object literal for the '<em><b>Density</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__DENSITY = eINSTANCE.getMaterial_Density();

		/**
		 * The meta object literal for the '<em><b>Heat Capacity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__HEAT_CAPACITY = eINSTANCE.getMaterial_HeatCapacity();

		/**
		 * The meta object literal for the '<em><b>Conductivity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__CONDUCTIVITY = eINSTANCE.getMaterial_Conductivity();

		/**
		 * The meta object literal for the '<em><b>Embodied Energy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__EMBODIED_ENERGY = eINSTANCE.getMaterial_EmbodiedEnergy();

		/**
		 * The meta object literal for the '<em><b>Embodied Carbon</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__EMBODIED_CARBON = eINSTANCE.getMaterial_EmbodiedCarbon();

		/**
		 * The meta object literal for the '<em><b>Construction Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__CONSTRUCTION_DESCRIPTION = eINSTANCE.getMaterial_ConstructionDescription();

		/**
		 * The meta object literal for the '<em><b>Disposal Energy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__DISPOSAL_ENERGY = eINSTANCE.getMaterial_DisposalEnergy();

		/**
		 * The meta object literal for the '<em><b>Disposal Carbon</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__DISPOSAL_CARBON = eINSTANCE.getMaterial_DisposalCarbon();

		/**
		 * The meta object literal for the '<em><b>Disposal Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MATERIAL__DISPOSAL_DESCRIPTION = eINSTANCE.getMaterial_DisposalDescription();

		/**
		 * The meta object literal for the '<em><b>Category</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MATERIAL__CATEGORY = eINSTANCE.getMaterial_Category();

		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.ConstructionCategoryImpl <em>Construction Category</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.ConstructionCategoryImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getConstructionCategory()
		 * @generated
		 */
		EClass CONSTRUCTION_CATEGORY = eINSTANCE.getConstructionCategory();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONSTRUCTION_CATEGORY__NAME = eINSTANCE.getConstructionCategory_Name();

		/**
		 * The meta object literal for the '<em><b>Constructions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONSTRUCTION_CATEGORY__CONSTRUCTIONS = eINSTANCE.getConstructionCategory_Constructions();

		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.ConstructionImpl <em>Construction</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.ConstructionImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getConstruction()
		 * @generated
		 */
		EClass CONSTRUCTION = eINSTANCE.getConstruction();

		/**
		 * The meta object literal for the '<em><b>Construction Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONSTRUCTION__CONSTRUCTION_ID = eINSTANCE.getConstruction_ConstructionId();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONSTRUCTION__NAME = eINSTANCE.getConstruction_Name();

		/**
		 * The meta object literal for the '<em><b>Layers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONSTRUCTION__LAYERS = eINSTANCE.getConstruction_Layers();

		/**
		 * The meta object literal for the '{@link de.hftstuttgart.buildingphysics.impl.LayerImpl <em>Layer</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see de.hftstuttgart.buildingphysics.impl.LayerImpl
		 * @see de.hftstuttgart.buildingphysics.impl.BuildingPhysicsPackageImpl#getLayer()
		 * @generated
		 */
		EClass LAYER = eINSTANCE.getLayer();

		/**
		 * The meta object literal for the '<em><b>Material</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LAYER__MATERIAL = eINSTANCE.getLayer_Material();

		/**
		 * The meta object literal for the '<em><b>Thickness</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LAYER__THICKNESS = eINSTANCE.getLayer_Thickness();

	}

} //BuildingPhysicsPackage
